# Uses of Class
org.apache.zookeeper.server.quorum.Leader.Proposal

Packages that use Leader.Proposal
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible

## Uses of Leader.Proposal in org.apache.zookeeper.server

Classes in org.apache.zookeeper.server that implement interfaces with type arguments of type Leader.Proposal
Modifier and Type
Class
Description
`class`
`TxnLogProposalIterator`
This class provides an iterator interface to access Proposal deserialized from on-disk txnlog.
Fields in org.apache.zookeeper.server with type parameters of type Leader.Proposal
Modifier and Type
Field
Description
`protected Queue<Leader.Proposal>`
ZKDatabase.`committedLog`
Methods in org.apache.zookeeper.server that return Leader.Proposal
Modifier and Type
Method
Description
`Leader.Proposal`
TxnLogProposalIterator.`next()`
Proposal returned by this iterator has request part set to null, since it is not used for follower sync-up.
Methods in org.apache.zookeeper.server that return types with arguments of type Leader.Proposal
Modifier and Type
Method
Description
`Collection<Leader.Proposal>`
ZKDatabase.`getCommittedLog()`
`Iterator<Leader.Proposal>`
ZKDatabase.`getProposalsFromTxnLog(long startZxid, long sizeLimit)`
Get proposals from txnlog.

## Uses of Leader.Proposal in org.apache.zookeeper.server.quorum

Subclasses of Leader.Proposal in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static class`
`Leader.PureRequestProposal`
Fields in org.apache.zookeeper.server.quorum declared as Leader.Proposal
Modifier and Type
Field
Description
`protected final Leader.Proposal`
Leader.`newLeaderProposal`
Methods in org.apache.zookeeper.server.quorum that return Leader.Proposal
Modifier and Type
Method
Description
`Leader.Proposal`
Leader.`propose(Request request)`
create a proposal and send it out to all the members
Methods in org.apache.zookeeper.server.quorum with parameters of type Leader.Proposal
Modifier and Type
Method
Description
`void`
Leader.`inform(Leader.Proposal proposal)`
Create an inform packet and send it to all observers.
`void`
Leader.`informAndActivate(Leader.Proposal proposal, long designatedLeader)`
Create an inform and activate packet and send it to all observers.
`boolean`
Leader.`tryToCommit(Leader.Proposal p, long zxid, SocketAddress followerAddr)`
Method parameters in org.apache.zookeeper.server.quorum with type arguments of type Leader.Proposal
Modifier and Type
Method
Description
`protected long`
LearnerHandler.`queueCommittedProposals(Iterator<Leader.Proposal> itr, long peerLastZxid, Long maxZxid, Long lastCommittedZxid)`
Queue committed proposals into packet queue.

## Uses of Leader.Proposal in org.apache.zookeeper.server.quorum.flexible

Method parameters in org.apache.zookeeper.server.quorum.flexible with type arguments of type Leader.Proposal
Modifier and Type
Method
Description
`boolean`
QuorumOracleMaj.`revalidateOutstandingProp(Leader self, ArrayList<Leader.Proposal> outstandingProposal, long lastCommitted)`
`default boolean`
QuorumVerifier.`revalidateOutstandingProp(Leader self, ArrayList<Leader.Proposal> outstandingProposal, long lastCommitted)`